<?php

namespace App\QcRules;

class Invoice_Filter_OrderCode extends FilterAbstract
{
    /**
	 * (non-PHPdoc)
	 * @see \App\QcRules\FilterAbstract::checkFields() 
	 */
	public function checkFields(\App\QcRules\FieldsAbstract $fields, $context='')
	{
        $orderCode = [];
		foreach($fields->rowsList as $row) {
			$orderCode[$row['orderCode']] = true;
		}

		return $this->checkFields_multiValues(array_keys($orderCode));
	}

}

